darcs

Issue 2320 save prompted author name in ~/.darcs/author instead of ./_darcs/prefs/author

Title save prompted author name in ~/.darcs/author instead of ./_darcs/prefs/author
Priority wishlist Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List darcs-devel, gh, jaredj, jlneder
Assigned To
Topics ProbablyEasy, UI

Created on 2013-05-11.00:01:05 by gh, last changed 2013-06-16.16:49:28 by noreply.

Messages
msg16803 (view) Author: gh Date: 2013-05-11.00:01:02
1. Summarise the issue (what were doing, what went wrong?)

On a new system, darcs prompts the user their e-mail address and stores it 
in the _darcs/prefs/author file of the current repository. It does it again 
and again for every new repository.

I observed this annoyed students two years ago when they used darcs (as 
reported in http://darcs.net/Ideas/Education).

2. What behaviour were you expecting instead?

Save e-mail into ~/.darcs/author .

Setting this parameter globally (for the user) is what recommend git and 
mercurial in their help messages, and this is what does bazaar with the 
command "bzr whoami".
msg16810 (view) Author: gh Date: 2013-05-13.13:34:14
I forgot to put darcs-devel as nosy when I created this ticket, so it 
did not appear on the list. Here it is:

1. Summarise the issue (what were doing, what went wrong?)

On a new system, darcs prompts the user their e-mail address and stores 
it 
in the _darcs/prefs/author file of the current repository. It does it 
again 
and again for every new repository.

I observed this annoyed students two years ago when they used darcs (as 
reported in http://darcs.net/Ideas/Education).

2. What behaviour were you expecting instead?

Save e-mail into ~/.darcs/author .

Setting this parameter globally (for the user) is what recommend git and 
mercurial in their help messages, and this is what does bazaar with the 
command "bzr whoami".
msg16862 (view) Author: noreply Date: 2013-06-16.16:49:27
The following patch sent by Jose Luis Neder <jlneder@gmail.com> updated issue issue2320 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2320: save prompted author name in ~/.darcs/author instead of ./_darcs/prefs/author 
Ignore-this: b3614c99ca6cfc970229e347fcfafe4c
History
Date User Action Args
2013-05-11 00:01:05ghcreate
2013-05-11 00:01:38ghsetnosy: + darcs-users
2013-05-11 00:02:03ghsetnosy: + darcs-devel, - darcs-users
2013-05-13 13:34:16ghsetmessages: + msg16810
2013-05-29 20:38:22ghsetnosy: + jlneder
2013-06-16 16:49:28noreplysetstatus: unknown -> resolved
messages: + msg16862
resolvedin: 2.10.0 HEAD